/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <node-view-wrapper>
    <span v-if="this.node.attrs"> {{ this.node.attrs.color }}</span>
    <node-view-content class="content"> </node-view-content>
  </node-view-wrapper>
</template>

<script>
import { NodeViewWrapper, NodeViewContent, nodeViewProps } from "@tiptap/vue-2";
import { mapState } from "vuex";

export default {
  components: {
    NodeViewWrapper,
    NodeViewContent,
  },

  props: nodeViewProps,

  methods: {
    select() {
    },
  },
  computed: {
    ...mapState("detail", ["tagMode"]),
    ...mapState("browse", ["tagDefs"]),
    style() {
      return "background-color: " + this.node.attrs.color;
    },
  },
};
</script>
